Evaluator.AsPathEvaluator (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.traversal

## Class Evaluator.AsPathEvaluator<STATE>

- java.lang.Object
- - org.neo4j.graphdb.traversal.Evaluator.AsPathEvaluator<STATE>

- Type Parameters:
    `STATE` - the type of state passed into the evaluator.
  All Implemented Interfaces:
    Evaluator, PathEvaluator<STATE>
  Enclosing interface:
    Evaluator

      public static class Evaluator.AsPathEvaluator<STATE>
      extends Object
      implements PathEvaluator<STATE>

  Exposes an `Evaluator` as a `PathEvaluator`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.neo4j.graphdb.traversal.PathEvaluator

      `PathEvaluator.Adapter<STATE>`

    - ### Nested classes/interfaces inherited from interface org.neo4j.graphdb.traversal.Evaluator

      `Evaluator.AsPathEvaluator<STATE>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Evaluator.AsPathEvaluator(Evaluator evaluator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Evaluation` | `evaluate(Path path)` Evaluates a `Path` and returns an `Evaluation` containing information about whether or not to include it in the traversal result, i.e return it from the `Traverser`.
    `Evaluation` | `evaluate(Path path, BranchState<STATE> state)` Evaluates a `Path` and returns an `Evaluation` containing information about whether or not to include it in the traversal result, i.e return it from the `Traverser`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Evaluator.AsPathEvaluator

          public Evaluator.AsPathEvaluator(Evaluator evaluator)

  - ### Method Detail

    - #### evaluate

          public Evaluation evaluate(Path path,
                            BranchState<STATE> state)

      Description copied from interface: `PathEvaluator`
      Evaluates a `Path` and returns an `Evaluation` containing information about whether or not to include it in the traversal result, i.e return it from the `Traverser`. And also whether or not to continue traversing down that `path` or if it instead should be pruned so that the traverser won't continue down that branch represented by `path`.
      Specified by:
        `evaluate` in interface `PathEvaluator<STATE>`
      Parameters:
        `path` - the `Path` to evaluate.
        `state` - the state of this branch in the current traversal.
      Returns:
        an `Evaluation` containing information about whether or not to return it from the `Traverser` and whether or not to continue down that path.

    - #### evaluate

          public Evaluation evaluate(Path path)

      Description copied from interface: `Evaluator`
      Evaluates a `Path` and returns an `Evaluation` containing information about whether or not to include it in the traversal result, i.e return it from the `Traverser`. And also whether or not to continue traversing down that `path` or if it instead should be pruned so that the traverser won't continue down that branch represented by `path`.
      Specified by:
        `evaluate` in interface `Evaluator`
      Parameters:
        `path` - the `Path` to evaluate.
      Returns:
        an `Evaluation` containing information about whether or not to return it from the `Traverser` and whether or not to continue down that path.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.